KONCLUDE(1)

NAME

Konclude - Reasoner for the SROIQV(D) Description Logic

DESCRIPTION

Konclude <command> [parameters]

  Available commands:

owllinkfile
    Processes an OWLlink request file, which has to be specified with the parameter -i.

owllinkserver
    Listening on the specified port (default 8080) for OWLlink requests sent over HTTP.

classification
    Classifies the ontology that is specified with the parameter -i.

consistency
    Checks the consistency of the ontology that is specified with the parameter -i.

satisfiability
    Checks the satisfiability of the class that is specified with -x for the ontology specified with -i.

realization
    Realizes the ontology that is specified with -i (or only a certain individual that is specified with -x).

sparqlfile
    Processes a SPARQL request file, which has to be specified with the parameter -s, results are written to the file specified by -o.

    (an ontology can be given with -i or via a SPARQL Update LOAD command in the SPARQL file)

sparqlserver
    Listening on the specified port (default 8080) for SPARQL requests sent via HTTP POST.

  Configurable parameter:

-w X
    Configures the number of processing threads. X has to be an integer greater than 0 or 'AUTO' for scaling the number of processing threads to the number of computer cores.

-c FILEPATH
    Path and file name of the config file.

-i FILEPATH
    Path and file name of the ontology input file / OWLlink request file.

-o FILEPATH
    Path and file name of the output / (SPARQL) result / (OWLlink) response file.

-s FILEPATH
    Path and file name of the SPARQL request/query file.

-x IRI
    IRI of the input entity.

-p PORT
    Specifies PORT as the listening port for the OWLlink/SPARQL server.

-a  Periodically prints the progress of the current activities.

-v  Shows loading and processing times in more detail.

-h  Shows this help (overwrites all other arguments/parameters).

EXAMPLES

Konclude owllinkfile -i Tests/test-request.xml -o test-response.xml

Konclude owllinkfile -c Configs/default-config.xml -i Tests/test-request.xml -o test-response.xml

Konclude owllinkserver -w 2 -c Configs/default-config.xml -p 8080

Konclude satisfiability -i Tests/galen.owl.xml -x http://ex.test/galen#ExternalIliacVein

Konclude classification -w AUTO -i Tests/roberts-family-full-D.owl.xml -o Tests/roberts-family-full-D-class.owl.xml

Konclude realization -w AUTO -i Tests/roberts-family-full-D.owl.xml -o Tests/roberts-family-full-D-real.owl.xml

Konclude sparqlfile -s Tests/lubm-univ-bench-sparql-load-and-query-test.sparql -o Tests/query-answers.xml

Konclude sparqlfile -s Tests/roberts-family-full-sparql-existential-variables-query-test.sparql -i Tests/roberts-family-full-D.owl.xml

Konclude sparqlserver -p 8080 -c Configs/querying-config.xml